Create a contact detail Run in API Explorer
Ask AI
Body
-
Contact Detail type.
Value Description email Email phone_number Phone Number Values are
emailorphone_number. -
Make this contact type the primary contact. Will make all other contact details of the same type no longer primary.
-
Description of contact detail
Maximum length is
255. -
The UUIDs of the accounts who should own the contact detail. These must only be client accounts.
-
The UUIDs of the accounts who should have the contact detail as their primary contact detail.
POST
/api/v2/contact-details
curl \
--request POST 'https://api.plannrcrm.com/api/v2/contact-details' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"type":"email","is_primary":true,"name":"Work phone number","value":"+44751488454","account_uuids":["984445c7-4a82-4132-b49b-1ce07b66113d","f8dcc1d6-6d40-422a-a420-ce157738c84d","d65f6e63-b127-407d-b4d6-054f90a97c00"],"primary_account_uuids":["122247eb-1916-4db5-b5fa-f9f772d641ce","2f2c297d-af49-4e22-8f26-f6b07fa863ed","473280df-20fe-4ccd-a7fd-19183b8e8ca7"]}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"type": "email",
"is_primary": true,
"name": "Work phone number",
"value": "+44751488454",
"account_uuids": [
"984445c7-4a82-4132-b49b-1ce07b66113d",
"f8dcc1d6-6d40-422a-a420-ce157738c84d",
"d65f6e63-b127-407d-b4d6-054f90a97c00"
],
"primary_account_uuids": [
"122247eb-1916-4db5-b5fa-f9f772d641ce",
"2f2c297d-af49-4e22-8f26-f6b07fa863ed",
"473280df-20fe-4ccd-a7fd-19183b8e8ca7"
]
}
Response examples (201)
{
"uuid": "d61ee4b7-e97f-40c1-bc15-b243b7314840",
"created_at": "2026-06-08T16:08:03+01:00",
"updated_at": "2026-06-08T16:08:03+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
},
"accounts": {
"uuid": "48680c6b-d7f6-4d48-b090-489cdcb72e33",
"created_at": "2026-06-08T16:08:03+01:00",
"updated_at": "2026-06-08T16:08:03+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": "App\\Http\\Resources\\FirmResource",
"primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
"primary_email": "App\\Http\\Resources\\ContactDetailResource",
"current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
"assigned_adviser": "App\\Http\\Resources\\AccountResource",
"assigned_administrator": "App\\Http\\Resources\\AccountResource",
"assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
"introduced_by": "App\\Http\\Resources\\AccountResource",
"business_unit": "App\\Http\\Resources\\BusinessUnitResource",
"groups": "App\\Http\\Resources\\GroupResource",
"tags": "App\\Http\\Resources\\TagResource",
"owners": "App\\Http\\Resources\\AccountResource",
"first_contact_date": "2026-06-08T16:08:03+01:00",
"next_review_date": "2026-06-08T16:08:03+01:00",
"previous_review_date": "2026-06-08T16:08:03+01:00",
"anniversary_review_date": "2026-06-08T16:08:03+01:00",
"terms_of_business_at": "2026-06-08T16:08:03+01:00",
"client_agreement_at": "2026-06-08T16:08:03+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": "App\\Http\\Resources\\CircleResource",
"circles": "App\\Http\\Resources\\CircleResource",
"ownership_percentage": 100,
"inactive_at": "2026-06-08",
"last_interaction_at": "2026-06-08 16:08:03",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource"
}
}